Uniface User Forum

 View Only
  • 1.  TLS and Uniface

    Posted 7 days ago
    Hi Unifacers
    I looked in PAM and found that TLS protocol seem to be supported since U9.5 even if weirdly there is no mention in its CHM

    First documentation I can find myself in CHM about TLS is from U9.7 where there is written how to modify the web.xml setting file

    PAM says that TLS is supported with driver version U1.0, not mentioning what TLS version it supports (1.0 ? 1.1 ? 1.2 ? 1.3 ?)

    So long question short: U9.6 supports TLS ? and if yes, what versions ?

    thank you
    Simone

    ------------------------------
    Simone Pecchenino
    Labinf Sistemi Srl
    IT
    ------------------------------


  • 2.  RE: TLS and Uniface

    ROCKETEER
    Posted 6 days ago
    Hi Simone,

    Not sure where you saw this info, but the TLS U1.0 driver is mentioned for the first time in the PAM for Uniface 9.7.05 and 10.3.01. So, the driver is not available for version 9.6.

    And the supported TLS version is mentioned (e.g.) here:
    "Supported versions: SSL3 – TLS 1.2"

    But for what do you want to use TLS? Is it for client-server communication (instead of the TCP driver)? Or do you want to use other API's? The UHTTP and SOAP call-out connector already supported TLS 1.2 with earlier versions. In version 9.6 you have to make sure that the OpenSSL version shipped with the product is at least version 1.0.1. I believe you should be on the safe side with version 9.6.04 (or higher).

    But please note that these old versions are not supported anymore for quite some time (see Uniface Support Lifecycle). It is advisable to migrate to a support version (like e.g. 10.3.03 or 10.4.01).

    I hope this helps.

    Kind regards,

    ------------------------------
    Daniel Iseli
    Principal Technical Support Engineer
    Uniface Services
    Rocket Software, Switzerland
    ------------------------------



  • 3.  RE: TLS and Uniface

    Posted 6 days ago
    Hi Daniel
    and thank you for the reply

    on an old specific customer installation we need to use TLS instead TCP on Uniface Router as they changed many things in their network, so basically starting to modify the web.xml in the Tomcat side
    so I was right that first release to support TLS is U97, and we can't do that unless we migrate at least to that version

    I have been misled looking in PAM this section:
    TLS


    Not really sure what it was regarding that TLS meaning
    anyway we will migrate that U96

    thank you
    Simone

    ------------------------------
    Simone Pecchenino
    Labinf Sistemi Srl
    IT
    ------------------------------



  • 4.  RE: TLS and Uniface

    ROCKETEER
    Posted 6 days ago
    Hi Simone,

    Thank you for your reply. And you are welcome.

    The row "Previous Version" tells you which version first supported a specific operating system version. This does not say anything about the functionality. Only when a functionality is explicitly mentioned in the PAM of a specific version (e.g. 9.6) then you can be sure that it is supported. And for the TLS driver you have to upgrade, as mentioned, to at least Uniface 9.7.05 (and recommended would be 10.3.03 or 10.4.01).

    Kind regards,

    ------------------------------
    Daniel Iseli
    Principal Technical Support Engineer
    Uniface Services
    Rocket Software, Switzerland
    ------------------------------